## shhopt 1.1.3

=== Makefile ===
# $Id: Makefile,v 1.7 1997/05/27 21:14:45 sverrehu Exp $
DIST		= shhopt
VERMAJ		= 1
VERMIN		= 1
VERPAT		= 3
VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)

# Define SHARED as 1 for Linux shared ELF library
#SHARED		= 1

ifeq ($(SHARED),1)
LIBTARGET	= lib$(DIST).so.$(VERSION)
LIBTARGETSO	= lib$(DIST).so
LIBTARGETSOMAJ	= $(LIBTARGETSO).$(VERMAJ)
CCSHRD		= -fPIC
else
LIBTARGET	= lib$(DIST).a
endif

LIBHEAD		= $(DIST).h
TARGETS		= $(LIBTARGET)

INSTBASEDIR	= /usr/local
INSTLIBDIR	= $(INSTBASEDIR)/lib
INSTINCDIR	= $(INSTBASEDIR)/include
INSTALL		= install -m 644
INSTALLPROG	= install -m 755
MKDIRP		= install -d -m 755

CC		= gcc
OPTIM		= -O2

INCDIR		= -I.

CCOPT		= -s -Wall $(OPTIM) $(INCDIR)

# Object files to store in the library
LIBOBJS		= shhopt.o


all: $(TARGETS)

# don't worry if you get ranlib not found errors.  This probably means
# that your ar does an implicit ranlib and you do not need to run ranlib
# separately.  This error is harmless.
$(LIBTARGET): $(LIBOBJS)
ifeq ($(SHARED),1)
	$(CC) -shared -Wl,-soname,$(LIBTARGETSOMAJ) -o $(LIBTARGET) $(LIBOBJS)
else
	ar rc $(LIBTARGET) $(LIBOBJS)
	ranlib $(LIBTARGET) || true
endif

# Note that you may need GNU's -liberty if your libc lacks strtoul
example: $(LIBTARGET) example.o
	$(CC) -o example example.c \
		-L. -I. -L$(INSTLIBDIR) -I$(INSTINCDIR) -lshhopt

.c.o:
	$(CC) $(CCSHRD) -o $@ -c $(CCOPT) $<

depend dep:
	$(CC) $(INCDIR) -MM *.c >depend

install: $(LIBTARGET)
	$(MKDIRP) $(INSTLIBDIR) $(INSTINCDIR)
	$(INSTALL) $(LIBTARGET) $(INSTLIBDIR)
	$(INSTALL) $(LIBHEAD) $(INSTINCDIR)
ifeq ($(SHARED),1)
	ln -sf $(LIBTARGET) $(INSTLIBDIR)/$(LIBTARGETSOMAJ)
	ln -sf $(LIBTARGETSOMAJ) $(INSTLIBDIR)/$(LIBTARGETSO)
	echo "If you use GNU/Linux, remember to run ldconfig"
endif

clean:
	rm -f *.o core *~ depend

chmod:
	chmod a+r *

# To let the author make a distribution. The rest of the Makefile
# should be used by the author only.
LSMFILE		= $(DIST)-$(VERSION).lsm
DISTDIR		= $(DIST)-$(VERSION)
DISTFILE	= $(DIST)-$(VERSION).tar.gz
DISTFILES	= README INSTALL CREDITS ChangeLog \
		  Makefile $(LSMFILE) \
		  $(LIBHEAD) \
		  shhopt.c \
		  example.c

$(LSMFILE): $(DIST).lsm.in
	VER=$(VERSION); \
	DATE=`date "+%d%b%y"|tr '[a-z]' '[A-Z]'`; \
	sed -e "s/VER/$$VER/g;s/DATE/$$DATE/g" $(DIST).lsm.in > $(LSMFILE)

veryclean: clean
	rm -f $(TARGETS) $(DISTFILE) $(LSMFILE) example

dist: $(LSMFILE) chmod
	mkdir $(DISTDIR)
	chmod a+rx $(DISTDIR)
	ln $(DISTFILES) $(DISTDIR)
	tar -cvzf $(DISTFILE) $(DISTDIR)
	chmod a+r $(DISTFILE)
	rm -rf $(DISTDIR)

ifeq (depend,$(wildcard depend))
include depend
endif

## shhopt 1.1.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.7 1997/05/27 21:14:45 sverrehu Exp $
+# $Id: Makefile,v 1.9 1999/09/10 19:19:48 sverrehu Exp $
 DIST		= shhopt
 VERMAJ		= 1
 VERMIN		= 1
-VERPAT		= 3
+VERPAT		= 5
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 # Define SHARED as 1 for Linux shared ELF library

## shhopt 1.1.7

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.9 1999/09/10 19:19:48 sverrehu Exp $
+# $Id: Makefile,v 1.12 2002/03/02 19:57:25 sverrehu Exp $
 DIST		= shhopt
 VERMAJ		= 1
 VERMIN		= 1
-VERPAT		= 5
+VERPAT		= 7
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 # Define SHARED as 1 for Linux shared ELF library
@@ -69,7 +69,7 @@
 ifeq ($(SHARED),1)
 	ln -sf $(LIBTARGET) $(INSTLIBDIR)/$(LIBTARGETSOMAJ)
 	ln -sf $(LIBTARGETSOMAJ) $(INSTLIBDIR)/$(LIBTARGETSO)
-	echo "If you use GNU/Linux, remember to run ldconfig"
+	echo "Now run ldconfig if necessary."
 endif
 
 clean:
@@ -83,7 +83,7 @@
 LSMFILE		= $(DIST)-$(VERSION).lsm
 DISTDIR		= $(DIST)-$(VERSION)
 DISTFILE	= $(DIST)-$(VERSION).tar.gz
-DISTFILES	= README INSTALL CREDITS ChangeLog \
+DISTFILES	= README INSTALL CREDITS ChangeLog TODO \
 		  Makefile $(LSMFILE) \
 		  $(LIBHEAD) \
 		  shhopt.c \

=== debian/changelog ===
shhopt (1.1.7-6) unstable; urgency=medium

  * QA upload.
  * Fix clean target. Closes: #1048699.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 03 Dec 2025 11:40:00 +0100

shhopt (1.1.7-5) unstable; urgency=medium

  * QA upload.
  * Bump debhelper compat to v13.

  [ Debian Janitor ]
  * Update standards version, no changes needed.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Jan 2021 16:26:18 -0500

shhopt (1.1.7-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Add Vcs-* fields to use git repo under Salsa Debian Team.
    + Mark libshhopt1-dev in Section: libdevel.
    + Move homepage to Homepage field.
  * debian/rules:
    + Rewrite using dh sequencer. (Closes: #909104)
    + Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Feb 2019 15:05:10 -0500

shhopt (1.1.7-3) unstable; urgency=low

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add debian/patches/01-makefile-buildflags to use CFLAGS and LDFLAGS as
    set by dpkg-buildflags.
  * Debhelper compatibility level set to 9.
  * debian/control:
    - Maintainer field set to QA Group.
    - Bump Standards-Version to 3.9.5.
    - Replace ${Source-Version} with ${binary:Version}.
    - Add ${misc:Depends} to dependencies.
  * debian/rules:
    - Replace usage of dh_clean -k with dh_prep.
    - Call dh_makeshlibs before dh_installdeb.
    - Add build-{arch,indep}.
  * debian/libshhopt1-dev.postinst:
    - Add 'set -e' to abort script execution on errors.

 -- Emanuele Rocca <ema@debian.org>  Sun, 19 Jan 2014 12:15:59 +0100

shhopt (1.1.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359530, #359531).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 12:17:43 +0200

shhopt (1.1.7-2) unstable; urgency=low

  * shhopt is renamed to libshhopt1 and shhopt-dev is renamed to
    libshhopt1-dev because soname is the right thing (now the testing
    script is stopped, so there is no risk of breaking woody)
  * Makefile: added DEB_BUILD_OPTIONS "debug" and "nostrip" support
  * debian/rules: added -V to dh_makeshlibs

 -- Oohara Yuuma <oohara@debian.org>  Thu,  9 May 2002 19:58:33 +0900

shhopt (1.1.7-1) unstable; urgency=low

  * new upstream release
  * debian/copyright: updated upstream information
  * debian/control: added the URL of the upstream webpage to Description:

 -- Oohara Yuuma <oohara@debian.org>  Fri,  8 Mar 2002 04:57:54 +0900

shhopt (1.1.6-2) unstable; urgency=low

  * new maintainer
  * adopting an orphaned package (closes: #118144)
  * debian/changelog: removed add-log-mailing-address:
  * debian/rules: added dh_installdeb, which handles the /usr/doc symlink
    (closes: #126951)
  * uploading .orig.tar.gz because the old version is packaged incorrectly
    as a Debian native package
  * debian/copyright: updated the upstream webpage
  * debian/rules: removed -s from install (let dh_strip strip the binary)
    (previous version incorrectly stripped *.a and broke it)
  * debian/rules: set the symlink "libshhopt.so" to libshhopt.so.1
    instrad of libshhopt.so.1.1.6
  * Makefile: added -D_REENTRANT according to the Policy
  * debian/shhopt.postinst, debian/shhopt.postrm: new file, calls ldconfig
  * debian/rules: set DH_COMPAT to 2, moved the build directory of
    shhopt-dev from debian/tmp to debian/shhopt-dev
  * shhopt-dev.dirs, shhopt.dirs: new files, to use dh_installdirs
    more easily
  * shhopt-dev.docs, shhopt.docs: new files, installing more documents
  * debian/rules: added the upstream changelog to dh_installchangelogs
  * debian/shhopt-dev.examples: new file, installing example.c as a example
    (not as a document)
  * debian/rules: added dh_installexamples
  * debian/rules: added -V to dh_makeshlibs
  * debian/control: added Depends: shhopt (= ${Source-Version}) and
    libc6-dev to shhopt-dev
  * debian/rules: run dh_shlibdeps and dh_gencontrol after dh_makeshlibs
    (dpkg-shlibdeps must wait for shlibs files in the build directory)
  * debian/control: bumped up Standards-Version: to 3.5.6

 -- Oohara Yuuma <oohara@debian.org>  Tue, 19 Feb 2002 23:18:39 +0900

shhopt (1.1.6-1.3) unstable; urgency=low

  * Orphaned package.

 -- Jakob Borg <jakob@debian.org>  Sat,  3 Nov 2001 14:59:20 +0100

shhopt (1.1.6-1.2) unstable; urgency=low

  * NMU
  * Need to make clean after building archive lib.  Closes: #104673

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Fri,  3 Aug 2001 23:10:51 -0600

shhopt (1.1.6-1.1) unstable; urgency=low

  * NMU
  * Add Build-Depends.  Closes: #104673

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Fri,  3 Aug 2001 22:26:29 -0600

shhopt (1.1.6-1) unstable; urgency=low

  * New upstream version, closes: #88071.

 -- Jakob Borg <jakob@debian.org>  Thu,  1 Mar 2001 16:21:30 +0100

shhopt (1.1.5-2) unstable; urgency=low

  * Adopted by me. Closes: #74837 #74842

 -- Jakob Borg <jakob@debian.org>  Fri, 19 Jan 2001 00:09:11 +0100

shhopt (1.1.5-1) unstable; urgency=low

  * New upstream.
  * Fixing mysterious bug with debian/files showing up in source.

 -- Ole J. Tetlie <olet@debian.org>  Fri, 29 Oct 1999 18:15:41 +0200

shhopt (1.1.4-1) unstable; urgency=low

  * New upstream.

 -- Ole J. Tetlie <olet@debian.org>  Sun, 19 Sep 1999 21:28:58 +0200

shhopt (1.1.3-2) unstable; urgency=low

  * Switched to debhelper.
  * Added copyright info and put dependency-info in the shared lib (#19405).
  * Fixed typo in description (#18999).

 -- Ole J. Tetlie <olet@debian.org>  Sat, 14 Mar 1998 15:52:07 +0100

shhopt (1.1.3-1) unstable; urgency=low

  * Initial Release.

 -- Ole J. Tetlie <olet@debian.org>  Sun,  7 Dec 1997 12:44:05 +0100

=== debian/control ===
Source: shhopt
Section: devel
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
Homepage: https://shh.thathost.com/pub-unix/#shhopt
Vcs-Git: https://salsa.debian.org/debian/shhopt.git
Vcs-Browser: https://salsa.debian.org/debian/shhopt

Package: libshhopt1
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 shhopt,
Conflicts:
 shhopt,
Description: Command line option parser - runtime
 This is Sverre H. Huseby's library for parsing command line options.
 .
 Both traditional one-character options and GNU-style --long-options
 are supported. This library does a little more than standard getopt.
 .
 This package contains what you need to run programs that use this library.

Package: libshhopt1-dev
Architecture: any
Section: libdevel
Depends:
 libc6-dev,
 libshhopt1 (= ${binary:Version}),
 ${misc:Depends},
Provides:
 libshhopt-dev,
Replaces:
 libshhopt-dev,
 shhopt-dev,
Conflicts:
 libshhopt-dev,
 shhopt-dev,
Description: Command line option parser - development
 This is Sverre H. Huseby's library for parsing command line options.
 .
 Both traditional one-character options and GNU-style --long-options
 are supported. This library does a little more than standard getopt.
 .
 This package contains what you need for compiling sources that
 use this library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- INSTBASEDIR=/usr DESTDIR=$(CURDIR)/debian/tmp/ SHARED=1
	dh_auto_build -- INSTBASEDIR=/usr DESTDIR=$(CURDIR)/debian/tmp/

override_dh_auto_install:
	dh_auto_install -- INSTBASEDIR=/usr DESTDIR=$(CURDIR)/debian/tmp/ SHARED=1
	dh_auto_install -- INSTBASEDIR=/usr DESTDIR=$(CURDIR)/debian/tmp/

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) veryclean
	[ ! -f Makefile ] || $(MAKE) veryclean SHARED=1
